Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.types
Class UDN

    java.lang.Object
      org.teleal.cling.model.types.UDN

    public class UDN

extends Object

UDA 1.0 does not specify a UUID format, however, UDA 1.1 specifies a format that is compatible with `java.util.UUID` variant 4.

Field Summary
`static String` | `PREFIX`

Constructor Summary
`UDN(String uuidString)`
`UDN(UUID uuid)`

Method Summary
`boolean` | `equals(Object o)`
`static UDN` | `fromString(String udnString)`
`UUID` | `getIdentifier()`
`String` | `getIdentifierString()`
`int` | `hashCode()`
`boolean` | `isUDA11Compliant()`
`String` | `toString()`
`static UDN` | `uniqueSystemIdentifier(String salt)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PREFIX

    public static final String PREFIX

See Also:
  Constant Field Values

Constructor Detail

### UDN

    public UDN(String uuidString)

### UDN

    public UDN(UUID uuid)

Method Detail

### isUDA11Compliant

    public boolean isUDA11Compliant()

### getIdentifierString

    public String getIdentifierString()

### getIdentifier

    public UUID getIdentifier()

### fromString

    public static UDN fromString(String udnString)

### uniqueSystemIdentifier

    public static UDN uniqueSystemIdentifier(String salt)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.